Debian Bug report logs - #555529
live-initramfs: udev no more ships /lib/vol_id, /usr/share/initramfs-tools/scripts/live-helpers needs updating

version graph

Package: live-initramfs; Maintainer for live-initramfs is Debian Live Project <debian-live@lists.debian.org>;

Reported by: Daniel Reichelt <debian@itamservices.de>

Date: Tue, 10 Nov 2009 08:03:02 UTC

Severity: important

Found in version live-initramfs/1.157.4-1

Fixed in version live-initramfs/1.157.4-2

Done: Daniel Baumann <daniel@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian@itamservices.de, Debian Live <debian-live@lists.debian.org>:
Bug#555529; Package live-initramfs. (Tue, 10 Nov 2009 08:03:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Daniel Reichelt <debian@itamservices.de>:
New Bug report received and forwarded. Copy sent to debian@itamservices.de, Debian Live <debian-live@lists.debian.org>. (Tue, 10 Nov 2009 08:03:07 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Daniel Reichelt <debian@itamservices.de>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: live-initramfs: udev no more ships /lib/vol_id, /usr/share/initramfs-tools/scripts/live-helpers needs updating
Date: Tue, 10 Nov 2009 08:58:03 +0100
Package: live-initramfs
Version: 1.157.4-1
Severity: important

Hi,

since udev stops shipping /lib/udev/vol_id initramfs-tools needs updating.
According to [1], all calls to
	vol_id -t
should be changed to
	/sbin/blkid -o udev -p ...

Probably the initramfs-hook to copy that new binary needs updating as well.

Regards
Daniel

[1] http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=541884

-- Package-specific info:

-- System Information:
Debian Release: squeeze/sid
  APT prefers testing
  APT policy: (990, 'testing'), (500, 'unstable'), (500, 'stable'), (1, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.31.5-dhr (SMP w/2 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages live-initramfs depends on:
ii  busybox                       1:1.14.2-2 Tiny utilities for small and embed
ii  file                          5.03-2     Determines file type using "magic"
ii  initramfs-tools               0.93.4     tools for generating an initramfs
ii  sudo                          1.7.2p1-1  Provide limited super user privile
ii  udev                          146-5      /dev/ and hotplug management daemo
ii  user-setup                    1.28       Set up initial user and password

Versions of packages live-initramfs recommends:
ii  cryptsetup      2:1.1.0~rc2-1            configures encrypted block devices
ii  eject           2.1.5+deb1+cvs20081104-7 ejects CDs and operates CD-Changer
ii  uuid-runtime    2.16.1-4                 runtime components for the Univers
ii  wget            1.12-1.1                 retrieves files from the web

Versions of packages live-initramfs suggests:
pn  curlftpfs                   <none>       (no description available)
pn  genext2fs                   <none>       (no description available)
pn  httpfs2                     <none>       (no description available)
ii  loop-aes-utils              2.15.1~rc1-2 Tools for mounting and manipulatin
pn  mtd-tools                   <none>       (no description available)
ii  squashfs-tools              1:4.0-3      Tool to create and append to squas

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live <debian-live@lists.debian.org>:
Bug#555529; Package live-initramfs. (Sat, 14 Nov 2009 00:06:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Prokop <mika@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Live <debian-live@lists.debian.org>. (Sat, 14 Nov 2009 00:06:04 GMT) Full text and rfc822 format available.

Message #10 received at 555529@bugs.debian.org (full text, mbox):

From: Michael Prokop <mika@debian.org>
To: Daniel Reichelt <debian@itamservices.de>, 555529@bugs.debian.org
Subject: Re: Bug#555529: live-initramfs: udev no more ships /lib/vol_id, /usr/share/initramfs-tools/scripts/live-helpers needs updating
Date: Sat, 14 Nov 2009 00:32:43 +0100
[Message part 1 (text/plain, inline)]
* Daniel Reichelt <debian@itamservices.de> [20091113 23:22]:

> since udev stops shipping /lib/udev/vol_id initramfs-tools needs updating.
> According to [1], all calls to
> 	vol_id -t
> should be changed to
> 	/sbin/blkid -o udev -p ...

> Probably the initramfs-hook to copy that new binary needs updating as well.

JFYI - I've a patch for Grml you might be interested in:

  http://git.grml.org/?p=live-initramfs-grml.git;a=blob_plain;f=debian/patches/04_drop_usage_of_fstype.dpatch;hb=HEAD

Please notice that this patch drops the usage of fstype as well
(vol_id used to work better for me), so iff you still want to use
fstype within the get_fstype() function please be aware that the
patch needs a small modification - but the vol_id -> blkid migration
works for me.

HTH && regards,
-mika-
-- 
http://michael-prokop.at/  || http://adminzen.org/
http://grml-solutions.com/ || http://grml.org/
[signature.asc (application/pgp-signature, inline)]

Reply sent to Daniel Baumann <daniel@debian.org>:
You have taken responsibility. (Sun, 22 Nov 2009 12:51:13 GMT) Full text and rfc822 format available.

Notification sent to Daniel Reichelt <debian@itamservices.de>:
Bug acknowledged by developer. (Sun, 22 Nov 2009 12:51:13 GMT) Full text and rfc822 format available.

Message #15 received at 555529-close@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: 555529-close@bugs.debian.org
Subject: Bug#555529: fixed in live-initramfs 1.157.4-2
Date: Sun, 22 Nov 2009 12:48:43 +0000
Source: live-initramfs
Source-Version: 1.157.4-2

We believe that the bug you reported is fixed in the latest version of
live-initramfs, which is due to be installed in the Debian FTP archive:

live-initramfs_1.157.4-2.diff.gz
  to main/l/live-initramfs/live-initramfs_1.157.4-2.diff.gz
live-initramfs_1.157.4-2.dsc
  to main/l/live-initramfs/live-initramfs_1.157.4-2.dsc
live-initramfs_1.157.4-2_all.deb
  to main/l/live-initramfs/live-initramfs_1.157.4-2_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 555529@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Daniel Baumann <daniel@debian.org> (supplier of updated live-initramfs package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sat, 21 Nov 2009 19:07:41 +0100
Source: live-initramfs
Binary: live-initramfs
Architecture: source all
Version: 1.157.4-2
Distribution: unstable
Urgency: high
Maintainer: Debian Live <debian-live@lists.debian.org>
Changed-By: Daniel Baumann <daniel@debian.org>
Description: 
 live-initramfs - Debian Live initramfs hook
Closes: 555529
Changes: 
 live-initramfs (1.157.4-2) unstable; urgency=high
 .
   [ Michael Prokop ]
   * Avoid the use of fstype in a running live system, as it's
     a executable and not a shell function and causes problems
     for example within live-snapshot.
   * Switch from vol_id to blkid if using udev >=146-1 (Closes: #555529).
 .
   [ Tzafrir Cohen ]
   * Adjusting grep call in is_nice_device to match new output of vol_id.
Checksums-Sha1: 
 e1315e086caef2b50e7cd76e11c3ca0606493026 1287 live-initramfs_1.157.4-2.dsc
 532b274bab797c88cfe7ba008431e2b87d9aee25 14048 live-initramfs_1.157.4-2.diff.gz
 8fff1582d728689bb91fa2ba5dd5343c3b6e2d41 94080 live-initramfs_1.157.4-2_all.deb
Checksums-Sha256: 
 f095886f4d2ab342bc432a250ffc71a52b4806f772bdd7e3c372f8c240a9713c 1287 live-initramfs_1.157.4-2.dsc
 99807fbdae5ceed1be74e32ff67d06ce61a3218d122a87408bdf1500d0af334e 14048 live-initramfs_1.157.4-2.diff.gz
 a1c4b0475135793a4367331c386412fd3fa5b76e9c589c29c346368530597575 94080 live-initramfs_1.157.4-2_all.deb
Files: 
 33d15883e065cd8a56b320b465f6d68a 1287 misc optional live-initramfs_1.157.4-2.dsc
 4ec31c566b39df9209e8a3b6688c17d5 14048 misc optional live-initramfs_1.157.4-2.diff.gz
 15e2bd4a205055e077031108024ba864 94080 misc optional live-initramfs_1.157.4-2_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAksJLDsACgkQ+C5cwEsrK56SXgCfWOmetP5If0fLNlFV3TsrwPJh
l28AoIqB9ywK6lHLUn2daT/y71b5IKMR
=GBdx
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 24 Dec 2009 07:30:28 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 16:32:59 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.